---
title: <percentage>
slug: Web/CSS/percentage
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Layout
  - Reference
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;percentage&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> represents a percentage value. It is often used to define a size as relative to an element's parent object. Numerous properties can use percentages, such as {{CSSxRef("width")}}, {{CSSxRef("height")}}, {{CSSxRef("margin")}}, {{CSSxRef("padding")}}, and {{CSSxRef("font-size")}}.</p>

<div class="note"><strong>Note:</strong> Only calculated values can be inherited. Thus, even if a percentage value is used on the parent property, a real value (such as a width in pixels for a {{CSSxRef("&lt;length&gt;")}} value) will be accessible on the inherited property, not the percentage value.</div>

<h2 id="Syntax">Syntax</h2>

<p>The <code>&lt;percentage&gt;</code> data type consists of a {{CSSxRef("&lt;number&gt;")}} followed by the percentage sign (<code>%</code>). Optionally, it may be preceded by a single <code>+</code> or <code>-</code> sign, although negative values are not valid for all properties. As with all CSS dimensions, there is no space between the symbol and the number.</p>

<h2 id="Interpolation">Interpolation</h2>

<p>When animated, values of the <code>&lt;percentage&gt;</code> data type are interpolated as real, floating-point numbers. The speed of the interpolation is determined by the <a href="/en-US/docs/Web/CSS/single-transition-timing-function">timing function</a> associated with the animation.</p>

<h2 id="Examples">Examples </h2>

<h3 id="Width_and_margin-left">Width and margin-left</h3>

<pre class="brush: html notranslate">&lt;div style="background-color:navy;"&gt;
  &lt;div style="width:50%; margin-left:20%; background-color:chartreuse;"&gt;
    Width: 50%, Left margin: 20%
  &lt;/div&gt;
  &lt;div style="width:30%; margin-left:60%; background-color:pink;"&gt;
    Width: 30%, Left margin: 60%
  &lt;/div&gt;
&lt;/div&gt;
</pre>

<p>The above HTML will output:</p>

<p>{{EmbedLiveSample('Width_and_margin-left', '600', 140)}}</p>

<h3 id="Font-size">Font-size</h3>

<pre class="brush: html notranslate">&lt;div style="font-size:18px;"&gt;
  &lt;p&gt;Full-size text (18px)&lt;/p&gt;
  &lt;p&gt;&lt;span style="font-size:50%;"&gt;50% (9px)&lt;/span&gt;&lt;/p&gt;
  &lt;p&gt;&lt;span style="font-size:200%;"&gt;200% (36px)&lt;/span&gt;&lt;/p&gt;
&lt;/div&gt;
</pre>

<p>The above HTML will output:</p>

<p>{{EmbedLiveSample('Font-size', 'auto', 160)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Values', '#percentages', '&lt;percentage&gt;')}}</td>
   <td>{{Spec2('CSS4 Values')}}</td>
   <td>No significant change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Values', '#percentages', '&lt;percentage&gt;')}}</td>
   <td>{{Spec2('CSS3 Values')}}</td>
   <td>No significant change from CSS Level 2 (Revision 1).</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'syndata.html#percentage-units', '&lt;percentage&gt;')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>No change from CSS Level 1.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#percentage-units', '&lt;percentage&gt;')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.percentage")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("&lt;length-percentage&gt;")}}</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Values_and_Units">CSS Values and Units</a></li>
</ul>
